(let*
  (
    (font (get-font "-b&h-lucidatypewriter-medium-r-normal-*-12-*-*-*-m-*-iso8859-1"))
    (font-colors (list "#b3a8a0" "#5d6e99"))
    
	(title-width
	   (lambda (w)
	      (let
		 ((w-width (car (window-dimensions w))))
		 (max 0 (+ 20 (min (- w-width 74)
                 (text-width (window-name w))))))))
	
	(half-title-width
	     (lambda (w)
	         (/ (title-width w) 2)))
			
	(title-position
	     (lambda (w)
		 (- (/ (car (window-dimensions w)) 2) 
		 (half-title-width w)) ))                 
 
        (update-title-width
	      (lambda (w)
	         (if (eq (window-get w 'current-frame-style) 'Jose_Goes_To_Town)
		     (rebuild-frame w))))	
	
	(title-images (list (set-image-border (make-image "title-inactive.png") 10 10 0 0)
                                 (set-image-border (make-image "title-active.png") 10 10 0 0)))

     	(iconify-images (list (make-image "iconify-inactive.png")
                                      (make-image "iconify-active.png")
                                      (make-image "iconify-prelight.png")))

     	(maximize-images (list (make-image "maximize-inactive.png")
                                          (make-image "maximize-active.png")
                                          (make-image "maximize-prelight.png")))

     	(close-images (list (make-image "close-inactive.png")
                                    (make-image "close-active.png")
                                    (make-image "close-prelight.png")))

     	(close-transient-images (list (make-image "close-transient-inactive.png")
                                                 (make-image "close-transient-active.png")
                                                 (make-image "close-transient-prelight.png")))

        (menu-images (list (make-image "menu-inactive.png")
                                    (make-image "menu-active.png")
                                    (make-image "menu-prelight.png")))

      	(border-bottom (make-image "border-bottom.png"))

     	(border-left (make-image "border-left.png"))

     	(border-right (make-image "border-right.png"))

	(corner-bl (make-image "corner-bottom-left.png"))

	(corner-br (make-image "corner-bottom-right.png"))

        (bottomleft-shaped-images (make-image "border-bottom-shade-left.png"))
        (bottomright-shaped-images (make-image "border-bottom-shade-right.png"))

     	(frame `(

		((background . ,title-images)
		 (top-edge . -27)
		 (left-edge . 24)
		 (right-edge . 63)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . 8)
		 (class . title))

		((background . ,iconify-images)
      		 (top-edge . -27)
		 (right-edge . 44) 
		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . -27)
		 (left-edge . -4)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . -27)
      		 (right-edge . 25)
      		 (class . maximize-button))

    		((background . ,close-images)
      		 (top-edge . -27)
      		 (right-edge . -4)
      		 (class . close-button))

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -4) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -4)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -4)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-bl)
      		 (bottom-edge . -4)
      		 (left-edge . -4)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br)
      		 (bottom-edge . -4)
      		 (right-edge . -4) 
      		 (class . bottom-right-corner))
	))

	(shaped-frame `(
      
     		((background . ,title-images)
      		 (top-edge . -27)
      		 (left-edge . 24)
      		 (right-edge . 63)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . 8)
      		 (class . title))

     		((background . ,iconify-images)
      		 (top-edge . -27)
      		 (right-edge . 44) 
      		 (class . iconify-button))

                ((background . ,menu-images)
		 (top-edge . -27)
		 (left-edge . -4)
		 (class . menu-button))

     		((background . ,maximize-images)
      		 (top-edge . -27)
      		 (right-edge . 25)
      		 (class . maximize-button))

     		((background . ,close-images)
      		 (top-edge . -27)
      		 (right-edge . -4)
      		 (class . close-button))

		((background . ,bottomleft-shaped-images)
		 (left-edge . -3)
		 (top-edge . -1)
		 (class . title))

		((background . ,bottomright-shaped-images)
	         (top-edge . -1)
 	         (right-edge . -3)
  	         (class . title))

	))

	(transient-frame `(

		((background . ,title-images)
		 (top-edge . -27)
		 (left-edge . 24)
		 (right-edge . 25)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . 8)
		 (class . title))

                ((background . ,menu-images)
		 (top-edge . -27)
		 (left-edge . -4)
		 (class . menu-button))

    		((background . ,close-transient-images)
      		 (top-edge . -27)
      		 (right-edge . -4)
      		 (class . close-button))

     		((background . ,border-left)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (left-edge . -4) 
      		 (class . left-border))

     		((background . ,border-right)
      		 (top-edge . 0)
      		 (bottom-edge . 0)
      		 (right-edge . -4)
      		 (class . right-border))

     		((background . ,border-bottom)
      		 (bottom-edge . -4)
      		 (right-edge . 0)  
      		 (left-edge . 0)   
      		 (class . bottom-border))

     		((background . ,corner-bl)
      		 (bottom-edge . -4)
      		 (left-edge . -4)  
      		 (class . bottom-left-corner))

     		((background . ,corner-br)
      		 (bottom-edge . -4)
      		 (right-edge . -4) 
      		 (class . bottom-right-corner))
	))
	
	(shaped-transient-frame `(
      
     		((background . ,title-images)
      		 (top-edge . -27)
      		 (left-edge . 24)
      		 (right-edge . 25)
		 (foreground . ,font-colors)
		 (font . ,font)
		 (text . ,window-name)
                 (x-justify . 5)
                 (y-justify . 8)
      		 (class . title))
		 
		((background . ,menu-images)
		 (top-edge . -27)
		 (left-edge . -4)
		 (class . menu-button))

     		((background . ,close-transient-images)
      		 (top-edge . -27)
      		 (right-edge . -4)
      		 (class . close-button))

		((background . ,bottomleft-shaped-images)
		 (left-edge . -3)
		 (top-edge . -1)
		 (class . title))

		((background . ,bottomright-shaped-images)
	         (top-edge . -1)
 	         (right-edge . -3)
  	         (class . title))

	))
	
  )
  (add-frame-style 'Jose_Goes_To_Town
    	(lambda (w type)
	  (case type
	    ((default) frame)
	    ((transient) transient-frame)
	    ((shaped) shaped-frame)
	    ((shaped-transient) shaped-transient-frame))))
   
   
   (call-after-property-changed
     'WM_NAME (lambda ()
                (rebuild-frames-with-style 'Jose_Goes_To_Town))))